<bugID>390592<Summary>Firefox fails to load all homepages if one of them is a no more existing local dir</Summary><Description>Steps to reproduce:

- New profile, start Firefox
- Create a folder on your desktop and call it Downloads
- In Options, set the default download folder to Downloads
- Drag Downloads from your local disk into the open browser window
- Load 3 other pages as new tabs
- Set all 4 tabs as homepages
- Rename folder Downloads
- Restart the browser

Result: only one message "File not found" but Firefox fails to load the other 3 pages
Expected result: all 4 tabs should be loaded.

Regression between 2006-01-20 13 and 2006-01-20 21: http://bonsai.mozilla.org/cvsquery.cgi?module=PhoenixTinderbox&amp;date=explicit&amp;mindate=2006-01-20+12%3A00&amp;maxdate=2006-01-20+22%3A00

Could be caused by bug 308396. The bug is also present on branch.
Sorry for the complicated Steps to reproduce, but they all all required.</Description></bugID>